MongoCollection::count
MongoCollection::deleteIndex
MongoCollection
PHP Manual

# MongoCollection::createDBRef

(PECL mongo >=0.9.0)

MongoCollection::createDBRef — Creates a database reference

### Description

public array MongoCollection::createDBRef ( array `$a` )

### Parameters

`a`

  Object to which to create a reference.

### Return Values

Returns a database reference array.

### Examples

Example #1 MongoCollection::createDBRef example

`<?php
$songs = $db->songs;
$playlists = $db->playlists;
// create a reference to a song
$manamana = $songs->findOne(array('title' => 'Ma na ma na'));
$refToSong = $songs->createDBRef($manamana);
// add the reference to my playlist
$playlists->update(array('username' => 'me'), array('$push' => array('songlist' => $refToSong)));
?>`

### See Also

- MongoCollection::getDBRef - Fetches the document pointed to by a database reference

MongoCollection::count
MongoCollection::deleteIndex
MongoCollection
PHP Manual